%--------------------------------------------------------------------------
%Cumulative distribution of edge lengths, among all edges in the simulated
%diffusion network. (Similarity networks are not considered here.)
%--------------------------------------------------------------------------
    
clear el
el=zeros(1,1);
clear eld
clear celd

edgebin_length=10000;
    
l=1;
for j=1:L
    for k=1:j-1
        for t=1:t_max
            if edges(j,k,1,t)==1 || edges(j,k,2,t)==1
                el(l)=sqrt((site_coordinates(j,1)-site_coordinates(k,1))^2+(site_coordinates(j,2)-site_coordinates(k,2))^2);
                l=l+1;
            end
        end
    end
end
eld=hist(el,[0:edgebin_length:4000000]);
for j=1:length(eld)
    celd(j)=sum(eld(j:length(eld)));
end
celd=celd/celd(1);
x=edgebin_length*[1:length(celd)]/1000;
    
% Plot with this command: loglog(x,celd,'o')
