figure(stat_fig)

axes(ratios_axes)
cla
set(ratios_axes,'visible','on')
plot(R(:,1),'r')
hold on
plot(R(:,2),'g')
plot(R(:,3),'b')
plot(R(:,4),'k')
hold off
xlabel('Time')
ylabel('Occupation ratio')
title('Black=bricks, red=soc1, green=soc2, blue=soc3')

set(r2t,'visible','on')
r2=uicontrol(stat_fig,'style','text','units','normalized','horizontalalignment','left', ...
        'pos',[0.75 0.55 0.2 0.05],'backgroundc','w','string',num2str(brick_sites),'fonts',10);

axes(homogeneity_axes)
cla
set(homogeneity_axes,'visible','on')
plot(homogeneity,'k')
hold on
plot(homogeneity,'ko')
hold off
xlabel('Time')
title('Homogeneity of attributes at different sites')

axes(sources_axes)
cla
set(sources_axes,'visible','on')
plot(source_number(2:t_max),'k')
hold on
plot(source_number(2:t_max),'ko')
hold off
axis([0 t_max 0 ceil(max(source_number))])
title('Mean number of source sites to a single target site')
