axes(simulate_component)
cla
%The existing sites are marked on the map
for k=1:L
        line('color','k','marker','o','markersize',5, ...
            'xdata',site_coordinates(k,1),'ydata',site_coordinates(k,2));
end
drawnow

axes(simulate_axes)
cla

set(yearcounter,'visible','on','string','0')
set(yeartext,'visible','on','string','Generation:')

avitry = avifile('simtest4.avi','fps',1,'quality',100,'Compression','Cinepak')
for time=1:t_max
    cla
    set(yearcounter,'string',num2str(time))
    for j=1:L
        line('color','k','marker','o','markersize',5, ...
            'xdata',site_coordinates(j,1),'ydata',site_coordinates(j,2));
    end
    for j=1:L
        if V(j,4,time)==1
            line('color','r','marker','.','markersize',20, ...
            'xdata',site_coordinates(j,1),'ydata',site_coordinates(j,2));
        end
    end
    text(250000,4320000,'100 km','fontsize',7);
    foto(k)=getframe;
    pause(0.1)
    still=getframe(simulate_axes);
    avitry = addframe(avitry,still);
    if time<t_max
    for j=1:L
        for k=1:L
            if sum(edges(j,k,1:2,time))+edges(j,k,4,time)>0
                line([site_coordinates(j,1) site_coordinates(k,1)], ...
                [site_coordinates(j,2) site_coordinates(k,2)], ...
                'visible','on','color','r');
            end
        end
    end
    end
    text(250000,4320000,'100 km','fontsize',7);
    foto(k)=getframe;
    pause(0.5)
    still=getframe(simulate_axes);
    avitry = addframe(avitry,still);
end
avitry = close(avitry);